- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Coordinate\TimeCode

class TimeCode

## Methods

| __construct($hours, $minutes, $seconds, $frames) |
| __toString() |
static TimeCode | fromString(string $timecode) Creates timecode from string. |
static TimeCode | fromSeconds(float $quantity) Creates timecode from number of seconds. |

## Details

###
at line 24
`public __construct($hours, $minutes, $seconds, $frames)`

#### Parameters

| $hours |
| $minutes |
| $seconds |
| $frames |

###
at line 32
`public __toString()`

###
at line 46
`static public TimeCode fromString(string $timecode)`

Creates timecode from string.

#### Parameters

string | $timecode |

#### Return Value

TimeCode |

#### Exceptions

InvalidArgumentException | In case an invalid timecode is supplied

###
at line 74
`static public TimeCode fromSeconds(float $quantity)`

Creates timecode from number of seconds.

#### Parameters

float | $quantity |

#### Return Value

TimeCode |